DLM_STONITH(8)

NAME
dlm_stonith - a proxy for fencing via stonith/pacemaker

SYNOPSIS
dlm_stonith

DESCRIPTION
dlm_controld can use dlm_stonith as a proxy fence agent when the stonith/pacemaker system performs actual fencing. dlm_stonith is run by dlm_controld, and is not meant to be run manually. dlm_controld provides the options on stdin as key=val; command line options are for testing. If fencing was successful, this program has a zero exit code. If fencing failed, this program has a non-zero exit code.

OPTIONS
-n nodeid The nodeid of the target node. (stdin key is "node") -t fail_time The time(2) at which the target node failed. If this option is provided, and the last fencing time is later, then a new fencing request is not made.

SEE ALSO
dlm_controld(8), dlm.conf(5)